xmlgraphics-batik-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From James Shaw <hertzsprrr...@btopenworld.com>
Subject Re: SAXParser change problem
Date Fri, 11 Feb 2005 19:06:27 GMT
 > i try to use the jdk1.5 SAXParser instead of the xerces one.
 > i've replaced in the XMLResourceDescriptor.properties the class name 
with javax.xml.parsers.SAXParser.

The default Xerces parsers bundled with Java 1.5 are not (AFAIK) 
compatible with Batik since the interfaces in org.w3c.dom define new 
methods.  I recommend downloading the Xerces source from 
xml.apache.org/xerces-j and build the jars yourself.  Then include these 
jars on your classpath.  These jars do not exhibit the same problems as 
the bundled library.

Hope the helps,
James Shaw

---------------------------------------------------------------------
To unsubscribe, e-mail: batik-users-unsubscribe@xml.apache.org
For additional commands, e-mail: batik-users-help@xml.apache.org


Mime
View raw message